Attribute VB_Name = "MLayered"
'*********************************************************************
' Module:       MLayered
' Description:  Sets layered window attributes. For Windows 2000
'               ONLY.
' Author:       Craig Jasper, Jr.
' Machine:      CRAIG [ID: CP4850] | Windows 2000 Server.
' Notes:        Written in VB6 Enterprise Edition with
'               SP4 installed.
'*********************************************************************

Option Explicit

Private Declare Function GetWindowLong _
Lib "user32" Alias "GetWindowLongA" _
(ByVal hWnd As Long, _
ByVal nIndex As Long) As Long

Private Declare Function SetWindowLong _
Lib "user32" Alias "SetWindowLongA" _
(ByVal hWnd As Long, _
ByVal nIndex As Long, _
ByVal dwNewLong As Long) As Long

Private Declare Function SetLayeredWindowAttributes Lib "user32" _
(ByVal hWnd As Long, _
ByVal crey As Byte, _
ByVal bAlpha As Byte, _
ByVal dwFlags As Long) As Long

Private Const GWL_EXSTYLE = (-20)

Private Const WS_EX_LAYERED = &H80000
Private Const WS_EX_TRANSPARENT = &H20&

Private Const LWA_ALPHA = &H2&

Public Function LayerWindow _
     (hWnd As Long, _
     bytLevel As Byte) As Long

  On Error GoTo PROC_ERR
  
  Dim lngOldStyle As Long

  lngOldStyle = GetWindowLong(hWnd, GWL_EXSTYLE)
  SetWindowLong hWnd, GWL_EXSTYLE, lngOldStyle Or WS_EX_LAYERED
  LayerWindow = SetLayeredWindowAttributes(hWnd, 0, bytLevel, LWA_ALPHA)
  
  Exit Function
PROC_ERR:
  MsgBox ErrorString("LayerWindow"), vbExclamation
End Function
